# palemoon globals
%global app_name palemoon-stackrpms
%global moz_extensions %{_libdir}/%{app_name}/browser/extensions
#%%global app_id

Name:           %{app_name}-ublock-origin
Version:        1.16.4.25
Release:        1
Summary:        uBlock Origin installed to the system Pale Moon extensions directory

Group:          Applications/Internet
License:        GPLv3
URL:            https://github.com/gorhill/uBlock
Source0:        https://github.com/gorhill/uBlock-for-firefox-legacy/releases/download/firefox-legacy-%{version}/uBlock0_%{version}.firefox-legacy.xpi
BuildRequires:  unzip
BuildRequires:  coreutils
BuildArch:      noarch

#Requires:       mozilla-filesystem
#Requires:       %%{app_name}-filesystem

%description
The "legacy" release of uBlock Origin (NPAPI) for tradional Mozilla-style
web browsers. This is packaged for %{app_name}.

More than just an ad blocker, uBlock Origin provides the ability to block
at will and easy defaults based on various common lists, such as EasyList,
EasyPrivacy, and Peter Lowe's ad/tracking/malware servers.

%prep
#%setup -q -c

%build

%install
# learn extension id to name the file
%{__unzip} -o %{SOURCE0} install.rdf
newfilename="$( grep 'em:id' install.rdf 2>/dev/null | head -n1 | sed -r -e 's/^.*<em:id>//;' -e 's/<\/em:id>.*$//;' ).xpi"
test -z "${newfilename}" && newfilename="$( basename %{SOURCE0} )"

mkdir -p %{buildroot}%{moz_extensions}
install -Dp -m0644 %{SOURCE0} %{buildroot}%{moz_extensions}/${newfilename}

rm -rf install.rdf

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{moz_extensions}/*.xpi

%changelog
* Tue Aug 25 2020 B Stack <bgstack15@gmail.com> - 1.16.4.25-1
- Update

* Tue Aug 11 2020 B Stack <bgstack15@gmail.com> - 1.16.4.24-1
- Update

* Wed Jul 22 2020 B Stack <bgstack15@gmail.com> - 1.16.4.23-1
- Update

* Sat Jul 04 2020 B Stack <bgstack15@gmail.com> - 1.16.4.22-1
- Update

* Mon Jun 29 2020 B Stack <bgstack15@gmail.com> - 1.16.4.21-1
- Update

* Wed Mar 18 2020 B Stack <bgstack15@gmail.com> - 1.16.4.20-1
- Update

* Tue Mar 03 2020 B Stack <bgstack15@gmail.com> - 1.16.4.19-1
- Update

* Tue Feb 18 2020 B Stack <bgstack15@gmail.com> - 1.16.4.18-1
- Update

* Mon Jan 27 2020 B Stack <bgstack15@gmail.com> - 1.16.4.16-1
- Update
- Upstream changed locations

* Tue Jan 14 2020 B Stack <bgstack15@gmail.com> - 1.16.4.14-1
- Update

* Wed Dec 18 2019 B Stack <bgstack15@gmail.com> - 1.16.4.12-1
- Update

* Mon Nov 11 2019 B Stack <bgstack15@gmail.com> - 1.16.4.11-1
- Update

* Sat Sep 15 2018 B Stack <bgstack15@gmail.com> 1.16.4.4-2
- Customize for stackrpms

* Wed Aug 2 2017 Ian Firns <firnsy@kororaproject.org>- 1.13.8-1
- Update to 1.13.8 release

* Thu Jan 7 2016 Chris Smart <csmart@kororaproject.org>- 1.9.16-1
- Update to 1.9.16 release

* Thu Jan 7 2016 Chris Smart <csmart@kororaproject.org>- 1.5.3-1
- Update to 1.5.3 release
- Use signed xpi from Mozilla so that it works in Firefox 43

* Tue Nov 3 2015 Chris Smart <csmart@kororaproject.org>- 1.3.2-1
- Initial build
